Subject: Re: Appeal and IANA correspondence

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 11:59:43 -0500 (EST)

text version:
If you have a look at my appeal it very clearly states I am basing it on RFC 2026 Section 6.5.2 (Process Failures). Now if you have not read all ten sentences of it you would have missed the one that says "
If the IESG Chair is unable to satisfy the complainant
   then the IESG as a whole should re-examine the action taken, along
   with input from the complainant, and determine whether any further
   action is needed. "
Why is this important?  Because if the whole IESG was supposed to re-examine things 
and only three did then that opens the door for another appeal (what a waste) 
In an email exchange this morning with Murray (below) he tells me that there isn't really any vote 
and refused to tell me how many people total were involved in the final decision.
I am noticing a trend of "we make the rules but we don't really follow them" 
****

I can tell you that in terms of process, the discussion was open to all members of the IESG. However, the actual details of the IESG's deliberations about appeals are not public.

> On 07/28/2020 4:56 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> If you have a look at my appeal it very clearly states I am basing it on RFC 2026 Section 6.5.2 (Process Failures). Now if you have not read all ten sentences of it you would have missed the one that says "
> If the IESG Chair is unable to satisfy the complainant
>    then the IESG as a whole should re-examine the action taken, along
>    with input from the complainant, and determine whether any further
>    action is needed. "
> 
> Why is this important?  Because if the whole IESG was supposed to re-examine things 
> and only three did then that opens the door for another appeal (what a waste) 
> In an email exchange this morning with Murray (below) he tells me that there isn't really any vote 
> and refused to tell me how many people total were involved in the final decision.
> 
> I am noticing a trend of "we make the rules but we don't really follow them" 
> ****
> 
> 
> I can tell you that in terms of process, the discussion was open to all members of the IESG. However, the actual details of the IESG's deliberations about appeals are not public.
> 
> -MSK 
> 
> 
> On Tue, Jul 28, 2020 at 8:37 AM Timothy Mcsweeney < [email-masked]> wrote: 
> > Was it all the members of the IESG?
> > https://www.ietf.org/about/groups/iesg/members/ 
> > 
> > 
> > > On July 28, 2020 at 11:34 AM "Murray S. Kucherawy" < [email-masked]> wrote: 
> > > 
> > > 
> > > No, it was not just me and Barry.
> > > 
> > > -MSK 
> > > 
> > > On Tue, Jul 28, 2020 at 8:30 AM Timothy Mcsweeney < [email-masked]> wrote: 
> > > 
> > > > Ok,
> > > > 
> > > > 
> > > > So was it just you and Barry?
> > > > 
> > > > 
> > > > 
> > > > 
> > > > > On July 28, 2020 at 11:23 AM "Murray S. Kucherawy" < [email-masked]> wrote: 
> > > > > 
> > > > > 
> > > > > The process is about the same as is done in working groups to develop a document. A member of the IESG proposed a response, and various members then contributed edits or commentary, which were discussed and the text modified until all input was addressed. Consensus was finally declared, and the result was posted.
> > > > > 
> > > > > The IESG and its membership are described here: https://www.ietf.org/about/groups/iesg/ 
> > > > > -MSK 
> > > > > 
> > > > > On Tue, Jul 28, 2020 at 8:19 AM Timothy Mcsweeney < [email-masked]> wrote: 
> > > > > 
> > > > > > Forgive me Murray...
> > > > > > 
> > > > > > 
> > > > > > but what is a consensus output?
> > > > > > And how many total made that consensus output?
> > > > > > > On July 28, 2020 at 11:13 AM "Murray S. Kucherawy" < [email-masked]> wrote: 
> > > > > > > 
> > > > > > > 
> > > > > > > Timothy,
> > > > > > > 
> > > > > > > The appeal response posted this morning is the consensus output of the IESG. There was no vote. 
> > > > > > > 
> > > > > > > If you disagree with the outcome or how it was reached, you have the option to appeal further to the Internet Architecture Board. 
> > > > > > > 
> > > > > > > -MSK 
> > > > > > > 
> > > > > > > On Tue, Jul 28, 2020 at 7:58 AM Timothy Mcsweeney < [email-masked]> wrote: 
> > > > > > > 
> > > > > > > > Murray,
> > > > > > > > 
> > > > > > > > 
> > > > > > > > Would you please send me a copy of the votes for and against. Thank you.
> > > > > > > > 
> > > > > > > > 
> > > > > > > > Tim
> > > > > > > > > On July 16, 2020 at 7:47 PM "Murray S. Kucherawy" < [email-masked]> wrote: 
> > > > > > > > > 
> > > > > > > > > 
> > > > > > > > > Received, thank you. This is helpful.
> > > > > > > > > 
> > > > > > > > > -MSK 
> > > > > > > > > 
> > > > > > > > > On Thu, Jul 16, 2020 at 12:52 PM Timothy Mcsweeney < [email-masked]> wrote: 
> > > > > > > > > 
> > > > > > > > > > Hi Murray,
> > > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > I have attached individual files for each claim you requested (14,15,18).
> > > > > > > > > > Thank you for being direct and informative.
> > > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > Tim
> 
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:00:38 -0500 (EST)

text version:
Alissa, remember when I sent you that email on the 7/3 (below). I wanted to make sure the IESG members saw that last paragraph of RFC3405 section 5.

"The logical conclusion of this is that ANY
sanctioned URI scheme or URN namespace MUST be allowed to be
registered if it meets the requirements specified in this document as
regards times to live and general impact to the DNS."

But your detailed decision says

"Simply put, registration into URI.ARPA is not possible at present because of the oversight
described above, even if the URI scheme being registered is not provisional. This is not merely
because this particular application is ineligible, but rather because, at present, none are."

That to me sounds like a broken process....like it says in my appeal for a broken processes rfc2026#section-6.5.2
> On 07/28/2020 5:25 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> Alissa, remember when I sent you that email on the 7/3 (below). I wanted to make sure the IESG members saw that last paragraph of RFC3405 section 5.
> 
> "The logical conclusion of this is that ANY 
> sanctioned URI scheme or URN namespace MUST be allowed to be 
> registered if it meets the requirements specified in this document as 
> regards times to live and general impact to the DNS."
> 
> 
> But your detailed decision says
> 
> "Simply put, registration into URI.ARPA is not possible at present because of the oversight 
> described above, even if the URI scheme being registered is not provisional. This is not merely 
> because this particular application is ineligible, but rather because, at present, none are."
> 
> That to me sounds like a broken process....like it says in my appeal for a broken processes rfc2026#section-6.5.2
> 
> 
> 
> ******
> (begin email)
> 
> Alissa, 
> Because at this time I am unaware of what information the IESG will be using in its discussion, I would like to add the URI.ARPA Submission Procedures. 
> < https://tools.ietf.org/html/rfc3405>
> 
> With particular attention to the last paragraph of Section 5: 
> < https://tools.ietf.org/html/rfc3405#section-5>
> 
> 5. Submission Procedure 
> Using the MIME Content-Type registration mechanism [8] as a model 
> for a successful registration mechanism, the 'URI.ARPA' and 
> 'URN.ARPA' procedures consist of a request template submitted to an 
> open mailing list made up of interested parties. If no objections 
> are made within a two week period, a representative of the 
> registration authority considers the submission to be accepted and 
> enters that submission into the nameserver.
> 
> o Registrations for the 'URI.ARPA' zone are sent to 
> [email-masked]'.
> o Registrations for the 'URN.ARPA' zone are sent to 
> [email-masked]'. 
> The registration authority is the Internet Assigned Numbers 
> Authority (IANA).
> 
> Objections are restricted to those that point out impacts on the zone 
> itself or to DNS in general. Objections to the URI scheme or to the 
> URN namespace-id are not allowed, as these should be raised in their 
> respective forums. The logical conclusion of this is that ANY 
> sanctioned URI scheme or URN namespace MUST be allowed to be 
> registered if it meets the requirements specified in this document as 
> regards times to live and general impact to the DNS.
> 
> Thank you, 
> Tim
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:01:28 -0500 (EST)

text version:
Murray, you're confused. I was speaking of the fact that when I asked you how many people were involved in the decision you would not tell me. Then Alissa says the whole IESG discussed your appeal. You could have easily told me the same thing but didn't.

(email below again)

-MSK
> On 07/28/2020 5:55 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> Murray, you're confused. I was speaking of the fact that when I asked you how many people were involved in the decision you would not tell me. Then Alissa says the whole IESG discussed your appeal. You could have easily told me the same thing but didn't.
> 
> (email below again)
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:02:59 -0500 (EST)

text version:
Hi Nick,

>Did you try submitting a application which complied with the syntax
>specified in rfc3986?

I did! 
My spec references section 2.2 of RFC3986.  Here is the first sentence from the third paragraph "

A subset of the reserved characters (gen-delims) is used as
   delimiters of the generic URI components described in Section 3.

"

I mean, it just does not get any clearer than that!  

> On 07/29/2020 10:04 AM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> Hi Nick,
> 
> >Did you try submitting a application which complied with the syntax
> >specified in rfc3986?
> 
> I did!
> My spec references section 2.2 of RFC3986. Here is the first sentence from the third paragraph "
> 
> A subset of the reserved characters (gen-delims) is used as
>    delimiters of the generic URI components described in Section 3 (https://tools.ietf.org/html/rfc3986#section-3).
> 
> "
> 
> I mean, it just does not get any clearer than that!  
> 
> 
> 
> 
> > On July 29, 2020 at 7:41 AM Nick Hilliard < [email-masked]> wrote:
> > 
> > 
> > Timothy Mcsweeney wrote on 28/07/2020 22:55:
> > > Murray, you're confused. I was speaking of the fact that when I asked
> > > you how many people were involved in the decision you would not tell
> > > me. Then Alissa says the whole IESG discussed your appeal. You could
> > > have easily told me the same thing but didn't.
> > Tim,
> > 
> > Did you try submitting a application which complied with the syntax
> > specified in rfc3986?
> > 
> > Would this not be a productive way forward?
> > 
> > Nick

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:03:58 -0500 (EST)

text version:
And here is another one.  The first sentence of the second paragraph says "

The purpose of reserved characters is to provide a set of delimiting
   characters that are distinguishable from other data within a URI.

"  

Simple right?!!

> On 07/29/2020 10:06 AM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> And here is another one. The first sentence of the second paragraph says "
> 
> The purpose of reserved characters is to provide a set of delimiting
>    characters that are distinguishable from other data within a URI.
> 
> "  
> 
> Simple right?!!
> 
> 
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:05:00 -0500 (EST)

On 07/29/2020 10:27 AM Timothy Mcsweeney <[email-masked]> wrote:

Hi Rich,

I want drop#

On July 29, 2020 at 10:19 AM "Salz, Rich" <[email-masked]> wrote: 

I have tried to follow this, but am getting a bit lost.

Tim, do you want “drop#” or “drop:” ?

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:05:18 -0500 (EST)

On 07/29/2020 10:37 AM Timothy Mcsweeney <[email-masked]> wrote:

>why do you think the colon separator is not required of you?

The delimiters are for EVERYONE
So the colon would not be required of you either Rich.

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:05:54 -0500 (EST)

> On 07/29/2020 11:40 AM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> Rich,
> 
> >Why is “drop:” unacceptable to you?
> The RFC gave me a choice and I decided on the drop#. I'm going to stick with it.
> 
> >Why do you think the syntax others have quoted does not apply?
> I think ALL the syntax applies. Why do you think others don't think mine applies? because nobody has used it yet? is that ossification?
> 
> 
> >I said “you” because, as far as I know, you are the first person to contest this, >and certainly to contest it vehemently.
> Somebody has to be first.
> 
> >I am trying to understand why the document is not clear so it can be improved.
> The document is really very clear.
> 
> 
> 
> 
> > On July 29, 2020 at 10:59 AM "Salz, Rich" <[email-masked]> wrote: 
> > 
> > 
> > Tim,
> > 
> > Why is “drop:” unacceptable to you? Why do you think the syntax others have quoted does not apply? I said “you” because, as far as I know, you are the first person to contest this, and certainly to contest it vehemently. I am trying to understand why the document is not clear so it can be improved.
> > 
> 
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:06:30 -0500 (EST)

> On 07/29/2020 11:47 AM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> 
> >Can you identify which sections in 3986 you feel gave you a choice?
> 
> Section 2.2

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:06:59 -0500 (EST)

> On 07/29/2020 12:08 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> 
> >The meaning is when a separator is used as a delimiter it must be chosen from >that set.
> 
> I'm glad to see we both agree now. Guess which separator I chose?
> :-)
> 
>